Subject: B19: problems with make.
From: [email-masked] (Jens Yllman)

22 Mar 1998 14:08:29 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------3C2E13FC9FA472ED439F110A"
To: [email-masked]

This is a multi-part message in MIME format.
--------------3C2E13FC9FA472ED439F110A
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hello,

 I have a makefile that worked under b18 and I use similar makefiles
under diffrent UNIX systems. If I use my makefile in UNIX mode I get:

 make: /Program: Command not found
 make: *** [clean] Error 127

 If I run make in WIN32 mode I don't get these errors but make does not
perform the action that it should.

 I have cygwin32-b19 with the b19.1 update. Make reports version
3.75-B19. I have tried to find if anybody else has this problem. I did
not find anyone. But the maillist archive gave me hints that Win32/UNIX
mode made a diffrence. I've included my makefile. The part that does not
work is if I do "make clean" or "make cleanall".

 Thank you.
 Jens Yllman
 (mailto:[email-masked])(http://www.uniweb.se/~jens/)

------------------------------------------------------------
Uniweb AB                            Phone:  +46 8 626 42 00
P O Box 745                          FAX:    +46 8 626 42 01
S-191 27  SOLLENTUNA
SWEDEN                               http://www.uniweb.se/
--------------3C2E13FC9FA472ED439F110A
Content-Type: text/plain; charset=us-ascii; name="Makefile"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="Makefile"

CC=gcc
CFLAGS=-g -O2

CPPC=g++
CPPFLAGS=-g -O2

LDFLAGS=
LIBS=-lfl

LEX=flex
LEXFLAGS=-L

YACC=byacc
YACCFLAGS=-t -d -l

OBJS=parser.o lexical.o

..y.o:
	$(YACC) $(YACCFLAGS) -b$* $<
	$(CC) $(CFLAGS) -c $*.tab.c
#	rm $*.tab.c
	mv $*.tab.o $*.o
..l.o:
	$(LEX) $(LEXFLAGS) -o$*.yy.c $<
	$(CC) $(CFLAGS) -c $*.yy.c
#	rm -f $*.yy.c
	mv $*.yy.o $@

..cc.o:
	$(CPPC) $(CPPFLAGS) -c $<
..c.o:
	$(CC) $(CFLAGS) -c $<

jpymetahtml: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	rm -f -v *.yy.c *.tab.c *.tab.h
	rm -f -v *.o
	
cleanall:
	rm -f -v *.yy.c *.tab.c *.tab.h
	rm -f -v *.o
	rm -f -v jpymetahtml.exe

--------------3C2E13FC9FA472ED439F110A--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".